import 'package:json_annotation/json_annotation.dart';

part 'price.g.dart';

@JsonSerializable(explicitToJson: true)
class Price {
  final String currency;
  final int amount;

  Price(this.currency, this.amount);

  Price.named({this.currency, this.amount});

  Map<String, dynamic> toJson() => _$PriceToJson(this);

  factory Price.fromJson(json) => _$PriceFromJson(json);
}
