import 'package:json_annotation/json_annotation.dart';

part 'rating.g.dart';

@JsonSerializable(explicitToJson: true)
class Rating {
  final int count;
  final double value;

  Rating(this.count, this.value);

  Rating.named({this.count, this.value});

  Map<String, dynamic> toJson() => _$RatingToJson(this);

  factory Rating.fromJson(json) => _$RatingFromJson(json);
}
