import 'package:json_annotation/json_annotation.dart';

part 'timing.g.dart';

@JsonSerializable(explicitToJson: true)
class Timing {
  ///
  /// [start] and [end]
  /// are in seconds from start hour
  ///
  final int start;
  final int end;

  Timing(this.start, this.end);

  Map<String, dynamic> toJson() => _$TimingToJson(this);

  factory Timing.fromJson(json) => _$TimingFromJson(json);
}
